package com.example.beijing_daxing.vm;

import androidx.databinding.BaseObservable;

/**
 * @author wanghao
 * @date 2024/1/25  16:59
 */
public class BFWm extends BaseObservable {
    private String epc;
    private String pcode;
    private String state;
    private String remark;

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
        notifyChange();
    }

    public String getEpc() {
        return epc;
    }

    public void setEpc(String epc) {
        this.epc = epc;
        notifyChange();
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
        notifyChange();
    }

    public String getPcode() {
        return pcode;
    }

    public void setPcode(String pcode) {
        this.pcode = pcode;
    }

    public void clearText() {
        state = remark = pcode = null;
        notifyChange();
    }
}
